label:before {
    content: "";
    width: 15px;
    height: 15px;
    background: rgb(0, 0, 0);
    position: absolute;
    left: 7px;
    top: calc(50% - 13px);
    box-sizing: border-box;
    border-radius: 50%;
 }
 .touch {
    position: relative;
    width: 25px;
    height: 25px;
    left: -3px;
    top: 2px;
    border: 5px solid rgb(0, 0, 0);
    opacity: 0;
    border-radius: 50%;
 }
 input[type="radio"]:checked ~ .touch {
    position: absolute; opacity: 1;
    animation: explode 0.35s;
 }
 .line {
    position: absolute;
    width: 10px; height: 2px;
    background-color: rgb(0, 0, 0); opacity: 0;
 }
 @keyframes explode {
    0% {
        opacity: 0;
        transform: scale(10);
    }
    60% {
        opacity: 1;
        transform: scale(0.5);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
 }
 .line.zero {
    left: 11px;
    top: -21px;
    transform: 
    translateY(20px);
    width: 2px;
    height: 10px;
 }
 .line.one {
    right: -7px;
    top: -11px;
    transform: 
    rotate(-55deg)
    translate(-9px);
 }
 .line.two {
    right: -20px;
    top: 11px;
    transform: 
    translate(-9px);
 }
 .line.three {
    right: -8px;
    top: 35px;
    transform: 
    rotate(55deg)
    translate(-9px);
 }
 .line.four {
    left: -8px;
    top: -11px;
    transform: 
    rotate(55deg)
    translate(9px);
 }
 .line.five {
    left: -20px;
    top: 11px;
    transform: 
    translate(9px);
 }
 .line.six {
    left: -8px;
    top: 35px;
    transform: 
    rotate(.55deg)
    translate(9px);
 }
 .line.seven {
    left: 11px;
    bottom: -21px;
    transform: 
    translateY(-20px);
    width: 2px;
    height: 10px;
 }
 input[type="radio"]:checked ~ .touch .line.zero {
    animation: drop-zero 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.one {
    animation: drop-one 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.two {
    animation: drop-two 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.three {
    animation: drop-three 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.four {
    animation: drop-four 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.five {
    animation: drop-five 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.six {
    animation: drop-six 0.9s forwards 0.1s;
 }
 input[type="radio"]:checked ~ .touch .line.seven {
    animation: drop-seven 0.9s forwards 0.1s;
 }
 @keyframes drop-zero {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
 }